Learn how easy it is to sync an existing GitHub or Google Code repo to a SourceForge project! See Demo

Close

#3023 Accept any volume line appended anyway

closed-fixed
nobody
None
5
2008-03-29
2008-01-19
No

<code>
13-Jan 10:21 my-dir: ERROR in parse_conf.c:889 Config error: Keyword "AcceptAnyVolume" not permitted in this resource.
Perhaps you left the trailing brace off of the previous resource.
: line 333, col 20 of file /etc/bacula/bacula-dir.conf
Accept Any Volume = yes

13-Jan 10:21 my-dir JobId 0: Error: Please correct configuration file: /etc/bacula/bacula-dir.conf
13-Jan 10:21 my-dir JobId 0: Error: Resetting previous configuration.
</code>
This error occurred when I ticked on Default to question "Backup to any volume in pool?" in section "Edit Volume Pool" and this line was appended anyway.

Discussion

  • Jamie Cameron
    Jamie Cameron
    2008-01-19

    Logged In: YES
    user_id=129364
    Originator: NO

    Could you post to this bug the about 10 lines from bacula-dir.conf before and after line 333 ? I'd like to see exactly what incorrect line Webmin added ..

     
  • Logged In: YES
    user_id=513429
    Originator: YES

    ...
    Messages = Standard
    JobDefs = DefaultJob
    }
    Pool {
    Name = AnotherVolumePool
    Pool Type = Backup
    Volume Retention = 365 days
    Recycle = yes
    AutoPrune = yes
    # Accept Any Volume = yes
    }
    Storage {
    ...

    The commented line is the line appended.

     
  • Jamie Cameron
    Jamie Cameron
    2008-01-21

    Logged In: YES
    user_id=129364
    Originator: NO

    Ok, so it looks like the line is formatted correctly, but Bacula doesn't like it in that context.
    What version of Bacula are you running?

     
  • Logged In: YES
    user_id=513429
    Originator: YES

    Vesrion used : latest 2.2.7 (24Dec07), compiled from source
    OS : SuSE Linux 9.3
    Webmin : 1.390

     
  • Jamie Cameron
    Jamie Cameron
    2008-01-21

    Logged In: YES
    user_id=129364
    Originator: NO

    Thanks, I see it now - that option no longer exists in Bacula 2.0+. I will fix this in the next Webmin release..

     
  • Jamie Cameron
    Jamie Cameron
    2008-01-21

    • status: open --> closed-fixed
     
    • status: closed-fixed --> open
     
  • Logged In: YES
    user_id=513429
    Originator: YES

    Vesrion used : latest 2.2.7 (24Dec07), compiled from source
    OS : SuSE Linux 9.3
    Webmin : 1.390

     
  • Jamie Cameron
    Jamie Cameron
    2008-03-29

    • status: open --> closed-fixed